from ti_hub import *
from ti_draw import *

flash=led("BB 1")
sound=speaker("BB 2")
temp=temperature("IN 1")
mag=magnetic("IN 3")

use_buffer()

while get_key() != "esc":
  clear()
  t=round(temp.measurement(),2)
  m=mag.measurement()

  set_color(0,0,255)
  draw_text(50,80,"HEAT CAR ALARM")
  set_color(0,0,0)
  draw_text(50,120,"Temperature in car = {}".format(t))

  if m > 100:
    draw_text(50,100,"Baby not in car")
    set_color(0,100,0)
    draw_text(50,140,"No problems detected")

  else:
    draw_text(50,100,"Baby in car")

    if t > 30:
      set_color(255,0,0)
      draw_text(50,140,"Baby in heath distress")
      flash.blink(10,1)
      sound.tone(440,0.5)
      sleep(0.5)
      sound.tone(880,0.5)
      sleep(0.5)

    else:
      set_color(0,100,0)
      draw_text(50,140,"No problems detected")

  paint_buffer()
  sleep(1)
